;;;;;;;;;;;;;;;;;;;;;;;;;;;; edit_variable.tf v1.90 ;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;      Trigger for Abelinc's Scripts for Aardwolf's Tinyfugue users       ;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;  03/06/2008  ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;; Variable Files ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;
;;; edit_variable.tf
;;; holds the macros to check, set, and write to file classes and level
;;; note not within pots or spellup directory. This is because I am 
;;; releasing a spellup script as well as a pots script which both use my_level
;;;
;;; variables.tf holds which classes I have and my level
;;; note not within pots or spellup directory. This is because I am 
;;; releasing a spellup script as well as a pots script which both use my_level
;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;; END variable Files ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

/loaded edit_variable.tf
/require -q variables.tf
/require -q textutil.tf

/if (!variables_initialized) /repeat -15 1 /load setup.tf %; /endif

/def reminder-class = /echo Remember, just type again to toggle class. %; \
	/echo You can see a list of current classes by typing /classes. %; \
	/echo  %; \
	/write_variables
/def reminder-class2 = \
	/if (!did_remind_class2) \
	/reminder-class %; \
	/echo This class gets protection evil and/or protection good. %; \
	/echo Use the /protect command to toggle your preference. %; \
	/echo Remember that if you have inertial barrier, then you can leave this at protection good, as they can both be cast. %; \
	/echo %; \
	/set did_remind_class2=1 %; \
	/endif

/def reminder-nospell = /echo You can see a list of spells we currently skip by typing /no-spells %; \
		/echo  %; \
		/write_variables 
/def reminder-level = \
	/write_variables %; \
	/eval /set effective_level=$[(10*my_tier)+my_level] %; \
	/echo Spellup Script updated %; \
	/load -q pots/trig.tf %; \
	/echo POTS script now dynamically adjusts for level. If you use POTS script and%; \
	/echo just reached level 20,30,40,60,80,100,130,150,180 or 200 it will switch%; \
	/echo your macros and triggers to use the new potions. Use up your supply of "old"%; \
	/echo pots by either using /mana<oldlevel> and /heal<level> (for instance /heal40 &%; \
	/echo /mana40), or you can temporarily define /mana and /heal to use them,%; \
	/echo (like /def heal = /heal40) which will be automatically reset properly%; \
	/echo the next time you fire up tinyfugue.%; \
	/echo %;

/def reminder-report = \
	/echo Typing /report will cycle between None, Full and Short modes %; \
	/echo %;

/def reminder-pots-bag = \
        /eval /echo %pots_bag is the full name for the bag for potions. %; \
        /eval /echo %pots_bag_short is the 1-word name used for get/put calls. %; \
	/echo You can set the full name (case-sensitive) using /my-bag <blah> %; \
	/echo You can set the short name (case-insensitive, 1 word) using %; \
	/echo /my-bag-short <blah> %; \
        /echo  %;

;;;
;;; Set Class
;;;

/def cleric = /if (is_cleric=~"Y") /set is_cleric=N %;\
        /echo You just turned OFF Cleric%;\
        /reminder-class%;\
              /else /set is_cleric=Y %;\
              /echo You are now a Cleric %;\
              /reminder-class2%;\
        /endif
/def cle = /cleric

/def mage = \
	/if (is_mage=~"Y") /set is_mage=N %; \
	/echo You just turned OFF Mage %; \
		/else /set is_mage=Y %; /echo You are now a Mage %; \
	/endif %; \
	/reminder-class
/def mag = /mage

/def paladin = \
	/if (is_paladin=~"Y") /set is_paladin=N %; \
	/echo You just turned OFF Paladin %; \
        /reminder-class%;\
		/else /set is_paladin=Y %;\
                /echo You are now a Paladin %; \
                /reminder-class2%;\
	/endif
/def pal = /paladin

/def psi = \
	/if (is_psi=~"Y") /set is_psi=N %; \
	/echo You just turned OFF Psionicist %; \
        /reminder-class%;\
		/else /set is_psi=Y %; /echo You are now a Psionicist %; \
                /reminder-class2%;\
	/endif
/def psionicist = /psi

/def ranger = \
	/if (is_ranger=~"Y") /set is_ranger=N %; \
	/echo You just turned OFF Ranger %; \
        /reminder-class%;\
		/else /set is_ranger=Y %; /echo You are now a Ranger %; \
        /reminder-class2%;\
	/endif
/def ran = /ranger

/def thief = \
	/if (is_thief=~"Y") /set is_thief=N %; \
	/echo You just turned OFF Thief %; \
		/else /set is_thief=Y %; /echo You are now a Thief %; \
	/endif %; \
        /reminder-class
/def thi = /thief

/def warrior = \
	/if (is_warrior=~"Y") /set is_warrior=N %; \
	/echo You just turned OFF Warrior %; \
		/else /set is_warrior=Y %; /echo You are now a Warrior %; \
	/endif %; \
	/reminder-class
/def war = /warrior

/def pclass = \
	/if (({1} =~ "cle") | ({1} =~ "mag") | ({1} =~ "pal") | ({1} =~ "psi") | ({1} =~ "ran") | ({1} =~ "thi") | ({1} =~ "war")) \
		/set pri_class=%1 %; \
		/echo Your pclass has just been set to %1. %; \
	/else /echo Please use just the 3-letter abbreviation for the pclass. %; \
	/endif %; \
	/reminder-class

/def classes = /echo Your current classes are: %; \
	/if (is_cleric=~"Y") /echo Cleric %; /endif %; \
	/if (is_mage=~"Y") /echo Mage %; /endif %; \
	/if (is_paladin=~"Y") /echo Paladin %; /endif %; \
	/if (is_psi=~"Y") /echo Psionicist %; /endif %; \
	/if (is_ranger=~"Y") /echo Ranger %; /endif %; \
	/if (is_thief=~"Y") /echo Thief %; /endif %; \
	/if (is_warrior=~"Y") /echo Warrior %; /endif %; \
	/echo To toggle any of these, just use /cleric, /mage, etc %; \
	/echo  %; \
	/echo Your Primary class is %{pri_class} %; \
	/echo To set a different Primary class, use "/pclass <class>" %; \
	/echo %; \
	/echo Your subclass is %{my_subclass} %; \
	/echo To set a different subclass, use /subclass <subclass> %; \
	/echo

/def subclass = \
	/if (pri_class =~ "cle") \
		/if (({1} =~ "martyr") | ({1} =~ "priest") | ({1} =~ "oracle") | ({1} =~ "harmer")) \
		/set my_subclass=%1 %; \
		/echo Your subclass has just been set to %1. %; \
		/else /echo %1 doesn't match the subclasses available to your pclass %; \
		/echo Please use the subclass name from the MUD's "subclass list" command %; \
		/echo Do not bother to capitalize. %; \
		/endif %; \
	/elseif (pri_class =~ "mag") \
		/if (({1} =~ "elementalist") | ({1} =~ "enchanter") | ({1} =~ "witch") | ({1} =~ "evoker")) \
		/set my_subclass=%1 %; \
		/echo Your subclass has just been set to %1. %; \
		/else /echo %1 doesn't match the subclasses available to your pclass %; \
		/echo Please use the subclass name from the MUD's "subclass list" command %; \
		/echo Do not bother to capitalize. %; \
		/endif %; \
	/elseif (pri_class =~ "pal") \
		/if (({1} =~ "guardian") | ({1} =~ "knight") | ({1} =~ "avenger") | ({1} =~ "divinator")) \
		/set my_subclass=%1 %; \
		/echo Your subclass has just been set to %1. %; \
		/else /echo %1 doesn't match the subclasses available to your pclass %; \
		/echo Please use the subclass name from the MUD's "subclass list" command %; \
		/echo Do not bother to capitalize. %; \
		/endif %; \
	/elseif (pri_class =~ "psi") \
		/if (({1} =~ "empath") | ({1} =~ "mindflayer") | ({1} =~ "navigator") | ({1} =~ "necromancer")) \
		/set my_subclass=%1 %; \
		/echo Your subclass has just been set to %1. %; \
		/else /echo %1 doesn't match the subclasses available to your pclass %; \
		/echo Please use the subclass name from the MUD's "subclass list" command %; \
		/echo Do not bother to capitalize. %; \
		/endif %; \
	/elseif (pri_class =~ "ran") \
		/if (({1} =~ "archer") | ({1} =~ "shaman") | ({1} =~ "hunter") | ({1} =~ "craftsman")) \
		/set my_subclass=%1 %; \
		/echo Your subclass has just been set to %1. %; \
		/else /echo %1 doesn't match the subclasses available to your pclass %; \
		/echo Please use the subclass name from the MUD's "subclass list" command %; \
		/echo Do not bother to capitalize. %; \
		/endif %; \
	/elseif (pri_class =~ "thi") \
		/if (({1} =~ "assassin") | ({1} =~ "ninja") | ({1} =~ "bandit") | ({1} =~ "venomist")) \
		/set my_subclass=%1 %; \
		/echo Your subclass has just been set to %1. %; \
		/else /echo %1 doesn't match the subclasses available to your pclass %; \
		/echo Please use the subclass name from the MUD's "subclass list" command %; \
		/echo Do not bother to capitalize. %; \
		/endif %; \
	/elseif (pri_class =~ "war") \
		/if (({1} =~ "barbarian") | ({1} =~ "soldier") | ({1} =~ "berserker") | ({1} =~ "blacksmith")) \
		/set my_subclass=%1 %; \
		/echo Your subclass has just been set to %1. %; \
		/else /echo %1 doesn't match the subclasses available to your pclass %; \
		/echo Please use the subclass name from the MUD's "subclass list" command %; \
		/echo Do not bother to capitalize. %; \
		/endif %; \
	/else /echo Hmm, you don't seem to have a pclass set. Please use the /pclass %; \
	/echo command before using the /subclass command. %; \
	/endif %; \
	/reminder-class


;;; end classes

;;;
;;; flush to file
;;;

/def list_variables = \
	/echo /loaded variables.tf %; \
	/eval /echo /set variables_initialized=%{variables_initialized} %; \
	/eval /echo /set is_cleric=%{is_cleric} %; \
	/eval /echo /set is_mage=%{is_mage} %; \
	/eval /echo /set is_paladin=%{is_paladin} %; \
	/eval /echo /set is_psi=%{is_psi} %; \
	/eval /echo /set is_ranger=%{is_ranger} %; \
	/eval /echo /set is_thief=%{is_thief} %; \
	/eval /echo /set is_warrior=%{is_warrior} %; \
	/eval /echo /set pri_class=%{pri_class} %; \
	/eval /echo /set my_subclass=%{my_subclass} %; \
	/eval /echo /set my_level=%{my_level} %; \
	/eval /echo /set my_tier=%{my_tier} %; \
	/eval /echo /set effective_level=$[(10*my_tier)+my_level] %; \
	/eval /echo /set my_race=%{my_race} %; \
	/eval /echo /set my_clan=%{my_clan} %; \
	/eval /echo /set my_clan_skill=%{my_clan_skill} %; \
	/eval /echo /set prot_from=%{prot_from} %; \
	/eval /echo /set resist_from=%{resist_from} %; \
	/eval /echo /set heal_pots=%{heal_pots} %; \
	/eval /echo /set mana_pots=%{mana_pots} %; \
	/eval /echo /set move_pots=%{move_pots} %; \
	/eval /echo /set web_pots=%{web_pots} %; \
	/eval /echo /set pots_bag=%{pots_bag} %; \
	/eval /echo /set pots_bag_short=%{pots_bag_short} %; \
	/eval /echo /set min_spell_length=%{min_spell_length} %; \
	/eval /echo /set has_aard_helm=%{has_aard_helm} %; \
	/eval /echo /set has_aard_wings=%{has_aard_wings} %; \
	/eval /echo /set has_aard_aura=%{has_aard_aura} %; \
	/eval /echo /set has_aard_ring=%{has_aard_ring} %; \
	/eval /echo /set has_pass_wish=%{has_pass_wish} %; \
	/eval /echo /set has_gills_wish=%{has_gills_wish} %; \
	/eval /echo /set has_hunger_wish=%{has_hunger_wish} %; \
	/eval /echo /set has_infra_wish=%{has_infra_wish} %; \
	/eval /echo /set has_portal_wish=%{has_portal_wish} %; \
	/eval /echo /set does_wanna_share=%{does_wanna_share} %; \
	/eval /echo /set report_length=%{report_length} %; \
	/eval /echo /set cheap_heal=%{cheap_heal} %; \
	/eval /echo /set just_mana=%{just_mana} %; \
	/eval /echo /set has_manor=%{has_manor}

/def write_variables = /list_variables %| /writefile variables.tf

;;; end flush to file

;;;
;;; set and increment level
;;;

/def set-level = /set my_level=%1 %; \
	/eval /echo Your level is now %my_level %; \
	/if ({1}=1) /echo If you just remorted, you *MUST* log out and back in before tinyfugue realizes you have lost some powers. %; \
	/endif %; \
	/reminder-level

/def got-level = /test $[++my_level] %; \
	/eval /echo Congrats, you are now level %my_level %; \
	/reminder-level

;;;
;;; set and increment Tier
;;;

/def set-tier = /set my_tier=%1 %; \
	/eval /echo Your Tier level is now %my_tier %; \
	/eval /echo We will now add $[10*{my_tier}] to the my_level value of %my_level for all calculations. %; \
	/echo  %; \
	/write_variables

/def got-tier = /test $[++my_tier] %; \
	/eval /echo Congrats, you are now Tier %my_tier %; \
	/eval /echo We will now add $[10*{my_tier}] to the my_level value of %my_level for all calculations. %; \
	/reminder-level

;;;
;;; Set Race
;;;

/def race = /set my_race=%1 %; \
	/require -q spellup/races.tf %; \
	/if (my_race !/ "{Human|Dwarf|Elf|Giant|Halfling|Half-Grif|Troll|Sprite|Quickling|DarkElf|Centaur|Vampire|Wolfen|Ratling|Diva|Shadow|Triton|Lizard|Eldar}") \
		/eval /echo You just tried to set your race to %1 %; \
		/echo That is not a valid race. Check "help race" to see what to call your race. %; \
		/echo If you're a Dark Elf, don't use a space. %; \
		/else /eval /echo You just set your race to %1 %; \
		/race_abilities %; \
		/write_variables %; \
	/endif


;;;
;;; set desired aligment of protection spells
;;;

/def protect = \
	/if (prot_from=~"G") /set prot_from=E %; \
		/echo You will now be protecting yourself from evil %; \
		/echo Remember, just type /protect again to toggle align %; \
		/echo  %; \
		/write_variables %; \
	/else /set prot_from=G %; \
		/echo You will now be protecting yourself from good %; \
		/echo Remember, just type /protect again to toggle align %; \
		/echo  %; \
		/write_variables %; \
	/endif
;;;
;;; set desired type of resist spells
;;;

/def resist = \
	/if (resist_from=~"PHY") /set resist_from=MAG %; \
		/echo You will now be protecting yourself from Magic %; \
		/echo Remember, just type /resist again to toggle align %; \
		/echo **NOTE** I do not check to see if you actually have the spell at this time %; \
		/echo  %; \
		/write_variables %; \
	/else /set resist_from=PHY %; \
		/echo You will now be protecting yourself from Physical %; \
		/echo Remember, just /resist type again to toggle align %; \
		/echo **NOTE** I do not check to see if you actually have the spell at this time %; \
		/echo  %; \
		/write_variables %; \
	/endif

;;;
;;; set safe spell lengths
;;;

/def spell-length = /set min_spell_length=%1 %; \
	/eval /echo Spells lasting %min_spell_length hours and longer will no longer be dispelled/recast %; \
	/echo  %; \
	/write_variables

;;;
;;; set spells that don't need to be cast for this person, whether through
;;; racial abilities or aard equipment
;;;

/def aard-helm = \
	/if (has_aard_helm=~"Y") /set has_aard_helm=N %; \
		/echo You just turned OFF the Helm of True Sight %; \
		/echo Remember, just type /aard-helm again to toggle it %; \
                /reminder-nospell%; \
	/else /set has_aard_helm=Y %; /echo You now have a Helm of True Sight %; \
		/echo Remember, just type /aard-helm again to toggle it %; \
                /reminder-nospell%; \
	/endif

/def aard-wings = \
	/if (has_aard_wings=~"Y") /set has_aard_wings=N %; \
		/echo You just turned OFF the Aard Wings (fly) %; \
		/echo Remember, just type /aard-wings again to toggle it %; \
                /reminder-nospell%; \
	/else /set has_aard_wings=Y %; /echo You now have Aard Wings (fly) %; \
		/echo Remember, just type /aard-wings again to toggle it %; \
                /reminder-nospell%; \
	/endif

/def aard-aura = \
	/if (has_aard_aura=~"Y") /set has_aard_aura=N %; \
		/echo You just turned OFF the Aura of Sanctuary %; \
		/echo Remember, just type /aard-aura again to toggle it %; \
                /reminder-nospell%; \
	/else /set has_aard_aura=Y %; /echo You now have an Aura of Sanctuary %; \
		/echo Remember, just type /aard-aura again to toggle it %; \
                /reminder-nospell%; \
	/endif

/def aard-ring = \
	/if (has_aard_ring=~"Y") /set has_aard_ring=N %; \
		/echo You just turned OFF the Ring of Invisibility %; \
		/echo Remember, just type /aard-ring again to toggle it %; \
                /reminder-nospell %; \
	/else /set has_aard_ring=Y %; /echo You now have a Ring of Invisibility %; \
		/echo Remember, just type /aard-ring again to toggle it %; \
                /reminder-nospell %; \
	/endif

/def pass-wish = \
	/if (has_pass_wish=~"Y") /set has_pass_wish=N %; \
		/echo You just turned OFF the Pass Door wish %; \
		/echo Remember, just type /pass-wish again to toggle it %; \
                /reminder-nospell%; \
	/else /set has_pass_wish=Y %; /echo You now have the Pass Door Wish %; \
		/echo Remember, just type /pass-wish again to toggle it %; \
                /reminder-nospell%; \
	/endif

/def gills-wish = \
	/if (has_gills_wish=~"Y") /set has_gills_wish=N %; \
		/echo You just turned OFF the Gills wish %; \
		/echo Remember, just type /gills-wish again to toggle it %; \
                /reminder-nospell%; \
	/else /set has_gills_wish=Y %; /echo You now have the Gills Wish %; \
		/echo Remember, just type /gills-wish again to toggle it %; \
                /reminder-nospell%; \
	/endif

/def hunger-wish = \
	/if (has_hunger_wish=~"Y") /set has_hunger_wish=N %; \
		/echo You just turned OFF the NoHunger wish %; \
		/echo Remember, just type /hunger-wish again to toggle it %; \
                /reminder-nospell%; \
	/else /set has_hunger_wish=Y %; /echo You now have the NoHunger Wish %; \
		/echo Remember, just type /hunger-wish again to toggle it %; \
                /reminder-nospell%; \
	/endif

/def infra-wish = \
	/if (has_infra_wish=~"Y") /set has_infra_wish=N %; \
		/echo You just turned OFF the Infravision wish %; \
		/echo Remember, just type /infra-wish again to toggle it %; \
                /reminder-nospell%; \
	/else /set has_infra_wish=Y %; /echo You now have the Infravision Wish %; \
		/echo Remember, just type /infra-wish again to toggle it %; \
                /reminder-nospell%; \
	/endif

/def wanna-share = \
	/if (does_wanna_share=~"Y") /set does_wanna_share=N %; \
		/echo You just turned OFF the casts of the sharing spells. (you selfish player :P) %; \
		/echo Remember, just type /wanna-share again to toggle it %; \
                /reminder-nospell%; \
	/else /set does_wanna_share=Y %; /echo You will now cast the sharing spells. (aww, how nice) %; \
		/echo Remember, just type /wanna-share again to toggle it %; \
                /reminder-nospell%; \
	/endif

/def no-spells = /echo You are currently ignoring the following spells: %; \
	/require -q spellup/races.tf %; \
	/race_abilities %; \
	/no-race-spells %; \
	/echo Your added abilities are: %; \
	/if (has_aard_wings=~"Y") /echo fly (aard wings) %; /endif %; \
	/if (has_aard_helm=~"Y") /echo true sight (aard helmet) %; /endif %; \
	/if (has_aard_aura=~"Y") /echo sanctuary (aard aura) %; /endif %; \
	/if (has_aard_ring=~"Y") /echo invis (aard ring) %; /endif %; \
	/if (has_infra_wish=~"Y") /echo infravision (wish) %; /endif %; \
	/if (has_pass_wish=~"Y") /echo pass door (wish) %; /endif %; \
	/if (has_gills_wish=~"Y") /echo underwater breathing (wish) %; /endif %; \
	/if (has_hunger_wish=~"Y") /echo NoHunger (wish) %; /endif %; \
	/if (does_wanna_share=~"N") /echo sharing spells %; /endif %; \
	/echo %; \
	/echo The commands to toggle the various spells to ignore are: %; \
	/echo /aard-helm /aard-wings /aard-aura /aard-ring /pass-wish %; \
	/echo /gills-wish /hunger-wish /infra-wish /wanna-share %; \
	/echo  %;


;;;
;;; Decide whether to report spells to be cast
;;;

/def report = \
	/if (report_length=~"Full") /set report_length=None %; \
		/echo You just turned OFF the reporting of spells to be cast. %; \
		/reminder-report %; \
	/elseif (report_length=~"None") /set report_length=Short %; \
		/echo Reporting of spells was just set to Short mode. %; \
		/echo You will only see how many spells will be disrupt/(re)cast. %; \
		/reminder-report %; \
	/else /set report_length=Full %; \
		/echo Reporting of spells was just set to Full mode. %; \
		/echo You will see which spells will be cast as well %; \
		/echo as how many spells will be disrupt/(re)cast. %; \
		/reminder-report %; \
	/endif %; \
	/write_variables

;;;
;;; set desired bag for POTS script
;;;

/def my-bag = /set pots_bag=%{*} %; \
	/reminder-pots-bag %; \
	/def -ag -hredef redef %; \
	/load -q pots/pots.tf %; \
        /write_variables %; \
	/undef redef	
/def my-bag-short = /set pots_bag_short=%{*} %; \
	/reminder-pots-bag %; \
	/def -ag -hredef redef %; \
	/load -q pots/pots.tf %; \
        /write_variables %; \
	/undef redef	

;;;
;;; Potion choices
;;;

/def cheap-heal = \
	/if (cheap_heal=~"Y") /set cheap_heal=N %; \
		/echo You have just decided to use a regular clan 4xheal potions, they're %; \
		/echo more expensive, but you can get them by just typing /getheal %; \
		/echo Remember, just type /cheap-heal again to toggle the setting %; \
	/else /set cheap_heal=Y %; /echo You have just decided to use the elixer from  %; \
		/echo Porphos in Goblin Fortress (random exits). It's harder to get but really cheap %; \
		/echo Remember, just type /cheap-heal again to toggle the setting %; \
	/endif %; \
	/write_variables %; \
	/load pots/trig.tf

/def just-mana = \
	/if (just_mana=~"Y") /set just_mana=N %; \
		/echo You have just decided to use Granny's Special Brew. It gives %; \
		/echo 3xlotus + 1xheal. The alternative is to use a 4xlotus potion %; \
		/echo for an extra mana boost. %; \
		/echo Remember, just type /just-mana again to toggle the setting %; \
	/else /set just_mana=Y %; /echo You have just decided to use Romani's clanhall  %; \
		/echo 4xlotus potion. The alternative is to use Granny's Brew from Diats. %; \
		/echo It gives 3xlotus + 1xheal. %; \
		/echo Remember, just type /just-mana again to toggle the setting %; \
	/endif %; \
	/write_variables %; \
	/load pots/trig.tf

;;;
;;; command synopsis
;;;

/def spellup-commands = \
	/echo The commands for Abelinc's Spellup script are: %; \
	/echo /Classes will show you which classes are currently set to on %; \
	/echo To add or delete a class, just type /<class>, where <class> is %; \
	/echo the full name or the 3-letter abbr of the class %; \
	/echo  %; \
	/echo /set-level # will set your level to # %; \
	/echo /got-level will increment your level by one (and remind you) %; \
	/echo   %; \
	/echo /set-tier # will set your Tier level to # %; \
	/echo /got-tier will increment your Tier level by one (and remind you) %; \
	/echo %; \
	/echo /protect will toggle whether we cast protection evil or good %; \
	/echo %; \
	/echo /resist will toggle whether we cast Antimagic Shell or Globe of Invulnerability %; \
	/echo %; \
	/echo spellup <optional name>  will do the actual spellcasting %; \
	/echo spellup <name> will give a spellup to <name>, for all spells %; \
	/echo you can cast on others %; \
	/echo spellup help will give you this screen. %; \
	/echo   %; \
	/echo /spell-length <number> will tell the script what is a "safe" spell affect %; \
	/echo length if you've got dispell. %; \
	/eval /echo Currently spells lasting %min_spell_length hours and longer will no longer be dispelled/recast. %; \
	/echo  %; \
	/echo /no-spells will tell you which spells you are currently ignoring %; \
	/echo and give you the syntax for changing them. %; \
	/echo %; \
	/echo /report will cycle through giving a full report, a short report or no report. %; \
	/echo Full will list spells to be cast as well as summarizing how many will be disrupt and (re)cast. %; \
	/echo Short will only do the summaries as well as giving the status report at the end of disrupt & cast %; \
	/echo None will not give any information. %; \
	/echo %;

/def pots-commands = \
	/echo /cheap-heal will toggle between using Healer's Ballad from Bard clanhall %; \
	/echo and Elixer of a Prehistoric Earthworm from Porphos in Goblin Fortress at lev 60. %; \
	/echo The elixer is half the cost per heal amount, but you must navigate to it %; \
	/echo manually because of the random exits. %; \
	/echo %; \
	/echo /just-mana will toggle between using Granny's Special Brew and Trandorfir Pani ---'---,{@ %; \
	/echo for mana at level 80. Granny's Brew (from Diatz) is a 3xlotus and 1xheal potion in one. %; \
	/echo The other one (don't make me type it again ;) is from Romani and is the usual %; \
	/echo quad lotus potion. Essentially, Granny's Brew gives the same mana that the %; \
	/echo level 60 pot was giving, plus the heal.
