;;; Grab level, race, primary class, & tier
;;; From finger
/def -n1 -mregexp -t'^Level ([0-9]+) (Male|Female|None) (Dwarf|Elf|Giant|Halfling|Half-griffon|Troll|Sprite|Quickling|Dark elf|Vampire|Wolfen|Ratling|Diva|Shadow|Triton|Lizard|Eldar) ([A-Za-z ]+) [(]Tier ([0-9])[)][.]$' set-lev-rac-clas-tier = \
/eval /set my_level=%{P1} %; \
/eval /set my_race=%{P3} %; \
/eval /set my_subclass=%{P4} %; \
/eval /set my_tier=%{P5} %; \
/eval /set effective_level=$[(10*my_tier)+my_level]

/set heal_pots=0
/set mana_pots=0
/set move_pots=0
/set web_pots=0

;;; Put class(es) into variables for parsing.
;;; From "finger"

/def -p1 -mregexp -t'^Remort: ([a-z A-Z]+) \/ ([A-Z a-z]+)$' set-two-class = \
	/eval /set arg_1=%{P1} %; \
	/eval /set arg_2=%{P2}

/def -p1 -mregexp -t'^Remort: ([a-z A-Z]+) \/ ([a-z A-Z]+) \/ ([a-z A-Z]+)$' set-three-class = \
	/eval /set arg_1=%{P1} %; \
	/eval /set arg_2=%{P2} %; \
	/eval /set arg_3=%{P3}

/def -p1 -mregexp -t'^Remort: ([a-z A-Z]+) \/ ([a-z A-Z]+) \/ ([a-z A-Z]+) \/ ([a-z A-Z]+)$' set-four-class = \
	/eval /set arg_1=%{P1} %; \
	/eval /set arg_2=%{P2} %; \
	/eval /set arg_3=%{P3} %; \
	/eval /set arg_4=%{P4}

/def -p1 -mregexp -t'^Remort: ([a-z A-Z]+) \/ ([a-z A-Z]+) \/ ([a-z A-Z]+) \/ ([a-z A-Z]+) \/ ([a-z A-Z]+)$' set-five-class = \
	/eval /set arg_1=%{P1} %; \
	/eval /set arg_2=%{P2} %; \
	/eval /set arg_3=%{P3} %; \
	/eval /set arg_4=%{P4} %; \
	/eval /set arg_5=%{P5}

/def -p1 -mregexp -t'^Remort: ([a-z A-Z]+) \/ ([a-z A-Z]+) \/ ([a-z A-Z]+) \/ ([a-z A-Z]+) \/ ([a-z A-Z]+) \/ ([a-z A-Z]+)$' set-six-class = \
	/eval /set arg_1=%{P1} %; \
	/eval /set arg_2=%{P2} %; \
	/eval /set arg_3=%{P3} %; \
	/eval /set arg_4=%{P4} %; \
	/eval /set arg_5=%{P5} %; \
	/eval /set arg_sixth=%{P6}

/def -p1 -mregexp -t'^Remort: ([a-z A-Z]+) \/ ([a-z A-Z]+) \/ ([a-z A-Z]+) \/ ([a-z A-Z]+) \/ ([a-z A-Z]+) \/ ([a-z A-Z]+) \/ ([a-z A-Z]+)$' set-seven-class = \
	/eval /set arg_1=%{P1} %; \
	/eval /set arg_2=%{P2} %; \
	/eval /set arg_3=%{P3} %; \
	/eval /set arg_4=%{P4} %; \
	/eval /set arg_5=%{P5} %; \
	/eval /set arg_6=%{P6} %; \
	/eval /set arg_7=%{P7}

/repeat -15 1 \
	/undef set-lev-rac-clas-tier %; \
	/undef set-two-class %; \
	/undef set-three-class %; \
	/undef set-four-class %; \
	/undef set-five-class %; \
	/undef set-six-class %; \
	/undef set-seven-class %; \
	/check_for_war %; \
	/check_for_cle %; \
	/check_for_thi %; \
	/check_for_mag %; \
	/check_for_psi %; \
	/check_for_pal %; \
	/check_for_ran %; \
	/load -q spellup/clan.tf %; \
	/undef_clan_trigs %; \
	/if (my_clan=~"") /set my_clan=None %; /endif %; \
	/if (my_clan_skill=~"") /set my_clan_skill=None %; /endif %; \
	/set variables_initialized=1 %; \
	/load -q spellup/races.tf %; \
	/undef check_for_war %; \
	/undef check_for_cle %; \
	/undef check_for_thi %; \
	/undef check_for_mag %; \
	/undef check_for_psi %; \
	/undef check_for_pal %; \
	/undef check_for_ran %; \
	/setup_summary %; \
	/Set_up_question_share

/def check_for_war = \
	/if ((my_subclass=~"Barbarian")|(my_subclass=~"Soldier")|(my_subclass=~"Berserker")|(my_subclass=~"Blacksmith")) /set is_warrior=Y %; /set pri_class=war %; /endif %; \
	/if (arg_2=~"Warrior") /set is_warrior=Y %; /endif %; \
	/if (arg_3=~"Warrior") /set is_warrior=Y %; /endif %; \
	/if (arg_4=~"Warrior") /set is_warrior=Y %; /endif %; \
	/if (arg_5=~"Warrior") /set is_warrior=Y %; /endif %; \
	/if (arg_6=~"Warrior") /set is_warrior=Y %; /endif %; \
	/if (arg_7=~"Warrior") /set is_warrior=Y %; /endif %; \
	/if (is_warrior=~"") /set is_warrior=N %; /endif

/def check_for_cle = \
	/if ((my_subclass=~"Martyr")|(my_subclass=~"Priest")|(my_subclass=~"Oracle")|(my_subclass=~"Harmer")) /set is_cleric=Y %; /set pri_class=cle %; /set hafta_ask_disrupt=1 %; /set hafta_ask_prot=1 %; /endif %; \
	/if (arg_2=~"Cleric") /set is_cleric=Y %; /set hafta_ask_disrupt=1 %; /set hafta_ask_prot=1 %; /endif %; \
	/if (arg_3=~"Cleric") /set is_cleric=Y %; /set hafta_ask_disrupt=1 %; /set hafta_ask_prot=1 %; /endif %; \
	/if (arg_4=~"Cleric") /set is_cleric=Y %; /set hafta_ask_disrupt=1 %; /set hafta_ask_prot=1 %; /endif %; \
	/if (arg_5=~"Cleric") /set is_cleric=Y %; /set hafta_ask_disrupt=1 %; /set hafta_ask_prot=1 %; /endif %; \
	/if (arg_6=~"Cleric") /set is_cleric=Y %; /set hafta_ask_disrupt=1 %; /set hafta_ask_prot=1 %; /endif %; \
	/if (arg_7=~"Cleric") /set is_cleric=Y %; /set hafta_ask_disrupt=1 %; /set hafta_ask_prot=1 %; /endif %; \
	/if (is_cleric=~"") /set is_cleric=N %; /endif

/def check_for_thi = \
	/if ((my_subclass=~"Assassin")|(my_subclass=~"Ninja")|(my_subclass=~"Bandit")|(my_subclass=~"Venomist")) /set is_thief=Y %; /set pri_class=thi %; /endif %; \
	/if (arg_2=~"Thief") /set is_thief=Y %; /endif %; \
	/if (arg_3=~"Thief") /set is_thief=Y %; /endif %; \
	/if (arg_4=~"Thief") /set is_thief=Y %; /endif %; \
	/if (arg_5=~"Thief") /set is_thief=Y %; /endif %; \
	/if (arg_6=~"Thief") /set is_thief=Y %; /endif %; \
	/if (arg_7=~"Thief") /set is_thief=Y %; /endif %; \
	/if (is_thief=~"") /set is_thief=N %; /endif

/def check_for_mag = \
	/if ((my_subclass=~"Elementalist")|(my_subclass=~"Enchanter")|(my_subclass=~"Witch")|(my_subclass=~"Evoker")) /set is_mage=Y %; /set pri_class=mag %; /set hafta_ask_disrupt=1 %; /endif %; \
	/if (arg_2=~"Mage") /set is_mage=Y %; /set hafta_ask_disrupt=1 %; /endif %; \
	/if (arg_3=~"Mage") /set is_mage=Y %; /set hafta_ask_disrupt=1 %; /endif %; \
	/if (arg_4=~"Mage") /set is_mage=Y %; /set hafta_ask_disrupt=1 %; /endif %; \
	/if (arg_5=~"Mage") /set is_mage=Y %; /set hafta_ask_disrupt=1 %; /endif %; \
	/if (arg_6=~"Mage") /set is_mage=Y %; /set hafta_ask_disrupt=1 %; /endif %; \
	/if (arg_7=~"Mage") /set is_mage=Y %; /set hafta_ask_disrupt=1 %; /endif %; \
	/if () /set is_mage=Y %; /set hafta_ask_disrupt=1 %; /endif %; \
	/if (is_mage=~"") /set is_mage=N %; /endif

/def check_for_psi = \
	/if ((my_subclass=~"Empath")|(my_subclass=~"Mindflayer")|(my_subclass=~"Navigator")|(my_subclass=~"Necromancer")) /set is_psi=Y %; /set pri_class=psi %; /set hafta_ask_disrupt=1 %; /set hafta_ask_share=1 %; /set hafta_ask_prot=1 %; /endif %; \
	/if (arg_2=~"Psionicist") /set is_psi=Y %; /set hafta_ask_disrupt=1 %; /set hafta_ask_share=1 %; /set hafta_ask_prot=1 %; /endif %; \
	/if (arg_3=~"Psionicist") /set is_psi=Y %; /set hafta_ask_disrupt=1 %; /set hafta_ask_share=1 %; /set hafta_ask_prot=1 %; /endif %; \
	/if (arg_4=~"Psionicist") /set is_psi=Y %; /set hafta_ask_disrupt=1 %; /set hafta_ask_share=1 %; /set hafta_ask_prot=1 %; /endif %; \
	/if (arg_5=~"Psionicist") /set is_psi=Y %; /set hafta_ask_disrupt=1 %; /set hafta_ask_share=1 %; /set hafta_ask_prot=1 %; /endif %; \
	/if (arg_6=~"Psionicist") /set is_psi=Y %; /set hafta_ask_disrupt=1 %; /set hafta_ask_share=1 %; /set hafta_ask_prot=1 %; /endif %; \
	/if (arg_7=~"Psionicist") /set is_psi=Y %; /set hafta_ask_disrupt=1 %; /set hafta_ask_share=1 %; /set hafta_ask_prot=1 %; /endif %; \
	/if (is_psi=~"") /set is_psi=N %; /endif

/def check_for_pal = \
	/if ((my_subclass=~"Knight")|(my_subclass=~"Avenger")|(my_subclass=~"Guardian")|(my_subclass=~"Divinator")) /set is_paladin=Y %; /set pri_class=pal %; /set hafta_ask_prot=1 %; /endif %; \
	/if (arg_2=~"Paladin") /set is_paladin=Y %; /set hafta_ask_prot=1 %; /endif %; \
	/if (arg_3=~"Paladin") /set is_paladin=Y %; /set hafta_ask_prot=1 %; /endif %; \
	/if (arg_4=~"Paladin") /set is_paladin=Y %; /set hafta_ask_prot=1 %; /endif %; \
	/if (arg_5=~"Paladin") /set is_paladin=Y %; /set hafta_ask_prot=1 %; /endif %; \
	/if (arg_6=~"Paladin") /set is_paladin=Y %; /set hafta_ask_prot=1 %; /endif %; \
	/if (arg_7=~"Paladin") /set is_paladin=Y %; /set hafta_ask_prot=1 %; /endif %; \
	/if (is_paladin=~"") /set is_paladin=N %; /endif

/def check_for_ran = \
	/if ((my_subclass=~"Archer")|(my_subclass=~"Shaman")|(my_subclass=~"Hunter")|(my_subclass=~"Craftsman")) /set is_ranger=Y %; /set pri_class=ran %; /set hafta_ask_prot=1 %; /endif %; \
	/if (arg_2=~"Ranger") /set is_ranger=Y %; /set hafta_ask_prot=1 %; /endif %; \
	/if (arg_3=~"Ranger") /set is_ranger=Y %; /set hafta_ask_prot=1 %; /endif %; \
	/if (arg_4=~"Ranger") /set is_ranger=Y %; /set hafta_ask_prot=1 %; /endif %; \
	/if (arg_5=~"Ranger") /set is_ranger=Y %; /set hafta_ask_prot=1 %; /endif %; \
	/if (arg_6=~"Ranger") /set is_ranger=Y %; /set hafta_ask_prot=1 %; /endif %; \
	/if (arg_7=~"Ranger") /set is_ranger=Y %; /set hafta_ask_prot=1 %; /endif %; \
	/if (is_ranger=~"") /set is_ranger=N %; /endif

;;; Determine clan from Finger

/def -mregexp -t'[A-Z][a-z]+ is a [A-Za-z ]+ of The Order of Shadokil\.' shadokil_clan = /set my_clan=Shadokil %; /set my_clan_skill=blackrose
/def -mregexp -t'[A-Z][a-z]+ is a [A-Za-z ]+ of Chapter Honorary - Alliance of Spellcasters\.' chaos_clan = /set my_clan=Chaos %; /set my_clan_skill=prophecy
/def -mregexp -t'[A-Z][a-z]+ is a [A-Za-z ]+ of The Emerald Knights\.' emerald_clan = /set my_clan=Emerald %; /set my_clan_skill=exaltation
/def -mregexp -t'[A-Z][a-z]+ is a [A-Za-z ]+ of The Fellowship of the Twin Lobes\.' twinlobe_clan = /set my_clan=Twinlobe %; /set my_clan_skill=transcend
/def -mregexp -t'[A-Z][a-z]+ is a [A-Za-z ]+ of The Seekers\.' seekers_clan = /set my_clan=Seekers %; /set my_clan_skill=gift
/def -mregexp -t'[A-Z][a-z]+ is a [A-Za-z ]+ of The Watchmen of Aardwolf\.' watchmen_clan = /set my_clan=Watchmen %; /set my_clan_skill=intervention
/def -mregexp -t'[A-Z][a-z]+ is a [A-Za-z ]+ of The Order of Light\.' light_clan = /set my_clan=Light %; /set my_clan_skill=battlefaith
/def -mregexp -t'[A-Z][a-z]+ is a [A-Za-z ]+ of The Children of Baalzamon\.' baal_clan = /set my_clan=Baal %; /set my_clan_skill=daes
/def -mregexp -t'[A-Z][a-z]+ is a [A-Za-z ]+ of The Hook Clan\.' hook_clan = /set my_clan=Hook %; /set my_clan_skill=stupor
/def -mregexp -t'[A-Z][a-z]+ is a [A-Za-z ]+ of The Order of the White Dragon\.' dragon_clan = /set my_clan=Dragon %; /set my_clan_skill=velvet
/def -mregexp -t'[A-Z][a-z]+ is a [A-Za-z ]+ of Order of the Bard\.' bard_clan = /set my_clan=Bard %; /set my_clan_skill=None
/def -mregexp -t'[A-Z][a-z]+ is a [A-Za-z ]+ of The Xunti Cult\.' xunti_clan = /set my_clan=Xunti %; /set my_clan_skill=None
/def -mregexp -t'[A-Z][a-z]+ is a [A-Za-z ]+ of Crusaders of the Nameless One\.' crusader_clan = /set my_clan=Crusader %; /set my_clan_skill=anoint
/def -mregexp -t'[A-Z][a-z]+ is a [A-Za-z ]+ of Clan Imperium\.' imperium_clan = /set my_clan=Imperium %; /set my_clan_skill=oath
/def -mregexp -t'[A-Z][a-z]+ is a [A-Za-z ]+ of The Daoine Sidhe\.' daoine_clan = /set my_clan=Daoine %; /set my_clan_skill=sluagh
/def -mregexp -t'[A-Z][a-z]+ is a [A-Za-z ]+ of The Crimson Horde\.' crimson_clan = /set my_clan=Crimson %; /set my_clan_skill=fate
/def -mregexp -t'[A-Z][a-z]+ is a [\'A-Za-z ]+ of Vanir\.' vanir_clan = /set my_clan=Vanir %; /set my_clan_skill=trickery
/def -mregexp -t'[A-Z][a-z]+ is a [A-Za-z ]+ of Retribution\.' retribution_clan = /set my_clan=Retribution %; /set my_clan_skill=vendetta
/def -mregexp -t'[A-Z][a-z]+ is a [A-Za-z ]+ of The Great Circle of Druids\.' druid_clan = /set my_clan=Druid %; /set my_clan_skill=mandrake
/def -mregexp -t'[A-Z][a-z]+ is a [A-Za-z ]+ of Disciples of Hassan\.' doh_clan = /set my_clan=Doh %; /set my_clan_skill=inspiration
/def -mregexp -t'[A-Z][a-z]+ is a [A-Za-z ]+ of Sisterhood of the Amazon Warriors\.' amazon_clan = /set my_clan=Amazon %; /set my_clan_skill=pride
/def -mregexp -t'[A-Z][a-z]+ is a [A-Za-z ]+ of The Soul Pyre\.' pyre_clan = /set my_clan=Pyre %; /set my_clan_skill=gloom
/def -mregexp -t'[A-Z][a-z]+ is a [A-Za-z ]+ of The Society of Tanelorn\.' tanelorn_clan = /set my_clan=Tanelorn %; /set my_clan_skill=comprehension
/def -mregexp -t'[A-Z][a-z]+ is a [A-Za-z ]+ of Masaki Clan\.' masaki_clan = /set my_clan=Masaki %; /set my_clan_skill=houyou
/def -mregexp -t'[A-Z][a-z]+ is a [A-Za-z ]+ of Enlightened Brotherhood of the Dominion\.' dominion_clan = /set my_clan=Dominion %; /set my_clan_skill=nirvana
/def -mregexp -t'[A-Z][a-z]+ is a [A-Za-z ]+ of Romani\.' romani_clan = /set my_clan=Romani %; /set my_clan_skill=sumadji
/def -mregexp -t'[A-Z][a-z]+ is a [A-Za-z ]+ of Loqui\.' loqui_clan = /set my_clan=Loqui %; /set my_clan_skill=None
/def -mregexp -t'[A-Z][a-z]+ is a [A-Za-z ]+ of Dark Templars of Rhabdo Rana\.' rhabdo_clan = /set my_clan=Rhabdo %; /set my_clan_skill=rage
/def -mregexp -t'[A-Z][a-z]+ is a [-A-Za-z ]+ of The Midgaardian Publishing Group\.' gaardian_clan = /set my_clan=Gaardian %; /set my_clan_skill=None
/def -mregexp -t'[A-Z][a-z]+ is a Loner of The Lone Adventurers\.' loner_clan = /set my_clan=Loner %; /set my_clan_skill=None
/def -mregexp -t'[A-Z][a-z]+ is a Exile of The Outcast Clan of Shame\.' outcast_clan = /set my_clan=Outcast %; /set my_clan_skill=None

/def undef_clan_trigs = /undef shadokil_clan %; /undef chaos_clan %; \
	/undef emerald_clan %; /undef twinlobe_clan %; /undef seekers_clan %; \
	/undef watchmen_clan %; /undef light_clan %; /undef baal_clan %; \
	/undef hook_clan %; /undef dragon_clan %; /undef bard_clan %; \
	/undef xunti_clan %; /undef crusader_clan %; /undef imperium_clan %; \
	/undef daoine_clan %; /undef crimson_clan %; /undef vanir_clan %; \
	/undef retribution_clan %; /undef druid_clan %; /undef doh_clan %; \
	/undef amazon_clan %; /undef pyre_clan %; /undef tanelorn_clan %; \
	/undef masaki_clan %; /undef dominion_clan %; /undef romani_clan %; \
	/undef loqui_clan %; /undef rhabdo_clan %; /undef gaardian_clan %; \
	/undef loner_clan %; /undef outcast_clan

;;; Set spells to skip for aard-EQ
;;; From "owned"

/def -t'Aardwolf Helm of True Sight*' set_aard_helm = /set has_aard_helm=Y
/def -t'Wings of Aardwolf*' set_aard_wings = /set has_aard_wings=Y
/def -t'Aardwolf Aura of Sanctuary*' set_aard_aura = /set has_aard_aura=Y
/def -t'Aardwolf Ring of Invisibility*' set_aard_ring = /set has_aard_ring=Y

/repeat -15 1 \
	/undef set_aard_helm %; \
	/undef set_aard_wings %; \
	/undef set_aard_aura %; \
	/undef set_aard_ring %; \
	/if (has_aard_helm=~"") /set has_aard_helm=N %; /endif %; \
	/if (has_aard_wings=~"") /set has_aard_wings=N %; /endif %; \
	/if (has_aard_aura=~"") /set has_aard_aura=N %; /endif %; \
	/if (has_aard_ring=~"") /set has_aard_ring=N %; /endif

;;; Set spells to skip for wishes
;;; From "wish"

/def -mregexp -t'^[ 0-9]+\) ([^.]+)\.' set_wishes = /check_for_wishes

/def check_for_wishes = \
	/if ({P1}=~ "No Hunger or thirst") /set has_hunger_wish=Y %; /endif %; \
	/if ({P1}=~ "Night Vision") /set has_infra_wish=Y %; /endif %; \
	/if ({P1}=~ "Permanent Passdoor") /set has_pass_wish=Y %; /endif %; \
	/if ({P1}=~ "Perm underwater breathing") /set has_gills_wish=Y %; /endif %; \
	/if ({P1}=~ "Portal wear location") /set has_portal_wish=Y %; /endif %; \
	/if ({P1}=~ "Can uncurse all items at once") /set has_uncurse_wish=Y %; /endif

/repeat -15 1 \
	/undef set_wishes %; \
	/undef check_for_wishes %; \
	/if (has_hunger_wish=~"") /set has_hunger_wish=N %; /endif %; \
	/if (has_infra_wish=~"") /set has_infra_wish=N %; /endif %; \
	/if (has_pass_wish=~"") /set has_pass_wish=N %; /endif %; \
	/if (has_gills_wish=~"") /set has_gills_wish=N %; /endif %; \
	/if (has_portal_wish=~"") /set has_portal_wish=N %; /endif %; \
	/if (has_uncurse_wish=~"") /set has_uncurse_wish=N %; /endif

/def setup_summary = \
	/eval /echo Your current race is %{my_race}. %; \
	/classes %; \
	/no-spells

/def Set_up_question_share= \
	/echo We'll now walk through asking you a few questions to finish settings. %; \
	/echo All of the answers are single characters, all lowercase. %; \
	/echo %; \
	/if (hafta_ask_share) \
	/echo Would you like to Share your Stats? (y/n) %; \
	/alias y /set does_wanna_share=Y %%; /unalias y %%; /unalias n %%; /Set_up_question_prot %; \
	/alias n /set does_wanna_share=N %%; /unalias y %%; /unalias n %%; /Set_up_question_prot %; \
	/else /Set_up_question_prot %; \
	/endif

/def Set_up_question_prot= \
	/if (hafta_ask_prot) \
	/echo Would you like to be protected from Good or Evil? (g/e) %; \
	/alias g /set prot_from=G %%; /unalias g %%; /unalias e %%; /Set_up_question_disrupt %; \
	/alias e /set prot_from=E %%; /unalias g %%; /unalias e %%; /Set_up_question_disrupt %; \
	/else /Set_up_question_disrupt %; \
	/endif

/def Set_up_question_disrupt = \
	/if (hafta_ask_disrupt) \
	/echo What length spells should be safe from disruption? (0-9) %; \
	/alias 0 /spell-length 0 %%; /unset_alias_disr %%; /Set_up_question_report_length %; \
	/alias 1 /spell-length 1 %%; /unset_alias_disr %%; /Set_up_question_report_length %; \
	/alias 2 /spell-length 2 %%; /unset_alias_disr %%; /Set_up_question_report_length %; \
	/alias 3 /spell-length 3 %%; /unset_alias_disr %%; /Set_up_question_report_length %; \
	/alias 4 /spell-length 4 %%; /unset_alias_disr %%; /Set_up_question_report_length %; \
	/alias 5 /spell-length 5 %%; /unset_alias_disr %%; /Set_up_question_report_length %; \
	/alias 6 /spell-length 6 %%; /unset_alias_disr %%; /Set_up_question_report_length %; \
	/alias 7 /spell-length 7 %%; /unset_alias_disr %%; /Set_up_question_report_length %; \
	/alias 8 /spell-length 8 %%; /unset_alias_disr %%; /Set_up_question_report_length %; \
	/alias 9 /spell-length 9 %%; /unset_alias_disr %%; /Set_up_question_report_length %; \
	/else /Set_up_question_report_length %; \
	/endif

/def unset_alias_disr = \
	/unalias 1 %; /unalias 2 %; /unalias 3 %; /unalias 4 %; /unalias 5 %; \
	/unalias 6 %; /unalias 7 %; /unalias 8 %; /unalias 9 %;/unalias 0

/def Set_up_question_cheapheal = \
	/echo At level 60, there is a heal potion that costs half of the quad-heals %; \
	/echo However, it is located after a small maze, so there's no easy "/get-heal" %; \
	/echo speedwalk. If you don't mind the trouble of manually getting it (and if you %; \
	/echo have hunt & can carry tons), it can save tons. Use cheap heals? (y/n) %; \
	/echo You can change this setting by typing "/cheap-heal" at any time %; \
	/alias y /set cheap_heal=Y %%; /unalias y %%; /unalias n %%; /Set_up_question_justmana %; \
	/alias n /set cheap_heal=N %%; /unalias y %%; /unalias n %%; /Set_up_question_justmana %; \

/def Set_up_question_justmana = \
	/echo At level 80, there are 2 options for mana potions. Romani clan has a %; \
	/echo quad-lotus potion, or Granny Josephine in Diatz sells a 3x lotus/1xheal %; \
	/echo potion that can be handy for keeping both HP and mana intact. Would you
	/echo like to do just mana or both? (m/b)
	/echo You can change this setting by typing "/just-mana" at any time %; \
	/alias m /set just_mana=Y %%; /unalias m %%; /unalias b %%; /Set_up_question_report_length %; \
	/alias b /set just_mana=N %%; /unalias m %%; /unalias b %%; /Set_up_question_report_length

/def Set_up_question_report_length = \
	/echo There are 3 levels of reporting available. None, Short, and Full. %; \
	/echo Which would you like to use? (n/s/f) %; \
	/echo You can change reporting status later by typing /report %; \
	/alias n /set report_length=None %%; /unalias n %%; /unalias s %%; /unalias f %%; /Set_up_done %; \
	/alias s /set report_length=Short %%; /unalias n %%; /unalias s %%; /unalias f %%; /Set_up_done %; \
	/alias f /set report_length=Full %%; /unalias n %%; /unalias s %%; /unalias f %%; /Set_up_done

/def Set_up_done = \
	/echo If you are using my POTS script, please set up what container to store potions %; \
	/echo in by using "/my-bag a Bag of Aardwolf" for instance.

/repeat -30 1 /write_variables %; \
;/Set_up_done

/send finger

/send owned

/send wish
/loaded spellup/clan.tf
