;;;;;;;;;;;;;;;;;;;;;;;;;;;;;; spellup.tf v5.20 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;; Main File for Abelinc's Spellup Scripts for Aardwolf's Tinyfugue users ;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;; 03/06/2008 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;; spellup.tf should be called within .tfrc or the aard world file...
;;; I personally have aard.tf called with a HOOK on connect to aardwolf.

/loaded spellup/spellup.tf
/require -q alias.tf

;;; Initialize my level, class(es) and race from file upon connect 
;;; so I don't have to whois myself

/require edit_variable.tf
/load variables.tf
/require spellup/races.tf

;;; Set spellup command and determine whether the spellup is:
;;; (1) for myself
;;; (2) for others or
;;; (3) if argument is "help", give synopsis

/alias spellup /set spellup_arg_1=%1 %; /set spellup_arg_2=%2 %; \
	/set spellup_arg_3=%3 %; /set cancel_iteration=0 %; /which_spellup

/def which_spellup = \
	/if (spellup_arg_1 =~ "") /spellmeup %; \
	/elseif ( spellup_arg_1 =~ "help") /spellup-commands %; \
	/elseif ( spellup_arg_1 =~ "count") /set just_report=1 %; /spellmeup %; \
	/elseif ( spellup_arg_1 =/ {list_of_spell_types} ) \
		/eval /set spellup_type=%spellup_arg_1 %; \
		/if ( spellup_arg_2 =~ "" ) /spellmeup %; \
		/else /eval /set spellup_recipient=%spellup_arg_2 %; \
			/eval /set blacklist_override=%spellup_arg_3 %; \
			/do_spellup_others spellup/blacklist.tf %; \
		/endif %; \
;	/elseif ( (substr(spellup_arg_1,2) =/ {list_of_skip_spell_types} ) \
;		/eval /set spellup_skip_type=$[substr(spellup_arg_1,2)] %; \
;		/if ( spellup_arg_2 =~ "" ) /spellmeup %; \
;		/else /eval /set spellup_recipient=%spellup_arg_2 %; \
;			/eval /set blacklist_override=%spellup_arg_3 %; \
;			/do_spellup_others spellup/blacklist.tf %; \
;		/endif %; \
	/else /eval /set spellup_recipient=%spellup_arg_1 %; \
		/eval /set blacklist_override=%spellup_arg_2 %; \
		/do_spellup_others spellup/blacklist.tf %; \
	/endif %; \
	/unset spellup_arg_1 %; /unset spellup_arg_2 %; /unset spellup_arg_3 %; \
	/unset spellup_recipient %; /unset spellup_type

/def spellmeup = /load -q spellup/trigspell.tf %; saff %; wake

/def do_spellup_others = \
	/eval /set check_guy=%spellup_recipient* %; \
	/let a=$[ tfopen( {1}, "r" ) ] %; \
	/if (a != -1) \
		/while ( tfread( a, blacklisted_name) != -1 ) \
			/if ( {blacklisted_name} =/ {check_guy} ) \
				/if (blacklist_override !~ "really") \
					/dont_do_the_spellup %; \
					/set bad_guy=1 %; \
				/endif %; \
			/endif %; \
		/done %; \
		/actually_do_the_spellup %; \
	/endif

/def actually_do_the_spellup = \
        /if (!bad_guy) \
		/load -q spellup/others.tf %; \
        /endif %; \
        /unset bad_guy

/def dont_do_the_spellup = /eval /echo %blacklisted_name %; \
	/echo %; \
	/echo If you really want to spell them up without removing them from the file %; \
	/echo then try "spellup [type] <name> really" %; \
	/echo %;

/set list_of_spell_types={resist|AC|stats|saves|detect|stealth|effect}
/set list_of_skip_spell_types={noresist|noAC|nostats|nosaves|nodetect|nostealth|noeffect}

/set blacklist_file=spellup/blacklist.tf

/def blacklist = /if ( {1} =~ "" ) /readfile spellup/blacklist.tf %; \
	/else /test fwrite(blacklist_file, {*}) %; \
	/endif

;;; Macros to tell me how many spells are going to be cast so I know how 
;;; long of a coffee break to take ;). Sent to gtell.

;/def how_many_disrupt = /eval /listvar need_disr* %| /wc -l
;/def how_many_cast = /eval /listvar need_* %| /wc -l
;
;/def spell_report = \
;	/if (report_length!~"None") \
;	/eval /set disrupt_number=$(/how_many_disrupt) %; \
;	/eval /set cast_number=$(/how_many_cast) %; \
;	/eval /set real_number=$[cast_number-disrupt_number] %; \
;	/send ; There are $(/how_many_disrupt) spells that need disrupting. %; \
;	/eval /send ; There are $[cast_number-disrupt_number] total spells to (re)cast. %; \
;	/endif

/def spell_report = \
	/if (report_length!~"None") \
		/if ($(/eval /listvar need_disr* %| /wc -l)>0) \
			/send ; There are $(/eval /listvar need_disr* %| /wc -l) spells that need disrupting. There are $[$(/eval /listvar need_* %| /wc -l)-$(/eval /listvar need_disr* %| /wc -l)] spells to (re)cast. %; \
		/elseif ($(/eval /listvar need_* %| /wc -l)==0) \
			/send ; There is nothing to be done. %; \
		/else /send ; There are $[$(/eval /listvar need_* %| /wc -l)-$(/eval /listvar need_disr* %| /wc -l)] spells to cast. %; \
		/endif %; \
	/endif

;;;
;;; Status report update marking milestones. Sent to gtell.
;;;

/def done_casting = \
	/if (report_length!~"None") \
		/if ($(/eval /listvar need* %| /wc -l)>0) \
			; OK, the casting portion of the spellup script is done. %; \
		/endif %; \
	/endif

/def done_disrupting = \
	/if ($(/eval /listvar need_disr* %| /wc -l)>0) \
		/if (report_length!~"None") \
			; OK, Disruption is done. Now starting the (re)casts. %; \
		/endif %; \
	/endif

;;; Let the script know if we're grouped. This will only have an effect 
;;; in special circumstances. Currently, that is when (1) you're a cleric, 
;;; (2) you've got aura of sanc, and (3) your level has party sanc. In this 
;;; case, you will only cast party sanc when you are in a group. This variable
;;; is not written to variables.tf because it should not be persistent across
;;; launches.

/def group = \
	/if (is_grouped) /set is_grouped=0 %; \
		/echo You are no longer in a group. We will not bother to cast party sanc %; \
		/echo Remember, just type /group again to toggle group membership. %; \
		/echo  %; \
		/else /set is_grouped=1 %; /echo You are now in a group, and will cast party sanc %; \
		/echo Remember, just type /group again to toggle group membership. %; \
		/echo  %; \
	/endif


;;;
;;; Disrupt Macros
;;;

/def disrupt_arg = \
	/if /test need_disr_%{2} %; \
		/then /eval /disr_%{2} %; \
	/endif %; \

;;;
;;; First_arg is self, others, or skill
;;; second_arg is shortname which we're using to name the trigs
;;; third_arg is spellnumber
;;; fourth_arg is "%1" (used for spelling up others, in a different macro)
;;; current_spell_type is AC/stealth/stats, etc
;;; last argument is the full name in the list (-5 because it skips 1-5)
;;;

/def check_disr_arg = /eval /set first_arg=%{1} %; \
	/eval /set second_arg=%{2} %; \
	/eval /set third_arg=%{3} %; \
	/eval /set current_spell_type=%{5} %; \
	/if ( spellup_type !/ current_spell_type ) \
		/eval /unset need_$[second_arg] %; \
		/eval /def $[second_arg]_trig %; \
;	/elseif spellup_skip_type =/ current_spell_type ) \
;		/eval /unset need_$[second_arg] %; \
;		/eval /def $[second_arg]_trig %; \
	/elseif /test first_arg=~"skill" %; \
		/then /def -F -t"Skill   : %{-5} (*)" $[second_arg]_trig = /unset need_$[second_arg] %; \
	/else /def -F -mregexp -t"Spell   : %{-5} [(]([0-9:]+)[)]" $[second_arg]_trig = \
		/eval /do_length_check %%{P1} $[second_arg] %; \
	/endif

/def do_length_check = \
	/let temp_spell_length=%1 %; \
	/if (strlen(temp_spell_length) < 6) \
		/let temp_spell_length=00:%temp_spell_length %; \
	/endif %; \
	/if (%temp_spell_length < %min_spell_length) \
		/eval /set need_disr_%%{2}=1 %; \
	/else /eval /unset need_disr_%%{2} %; /eval /unset need_%%{2} %; /test $[++long_spells] %; \
	/endif

;;; When we have disrupt and cancellation, we'll check to see whether there
;;; are more spells to disrupt or more spells to leave. If there are more 
;;; spells to disrupt, we'll just do cancellation and redo the whole spellup.

/def disrupt_vs_cancel = \
	/if ($(/eval /listvar need_disr* %| /wc -l)>0) \
		/if (report_length!~"None") \
		/eval /send ; There are $[long_spells] long spells and $(/eval /listvar need_disr* %| /wc -l) disruptable spells. %; \
		/endif %; \
		/if (long_spells < $(/eval /listvar need_disr* %| /wc -l)) \
			/if (report_length!~"None") \
			/send ; We're going to cancel spells instead of disrupt, as it's cheaper for this many spells. %; \
			/endif %; \
			/load -q spellup/untrigspell.tf %; \
			c 10 %; \
			/undef redoing_disrupts %; \
			/test $[++cancel_iteration] %; \
			/spellmeup %; \
		/endif %; \
	/endif

;;;
;;; Cast Macros
;;;

/def redo_arg = \
	/if /test need_%{2} %; \
		/then /eval /cast_%{2} %; \
	/endif %; \

/def check_cast_arg = /eval /set first_arg=%{1} %; \
	/eval /set second_arg=%{2} %; \
	/eval /set third_arg=%{3} %; \
	/eval /set current_spell_type=%{5} %; \
	/if ( spellup_type !/ current_spell_type ) \
		/eval /unset need_$[second_arg] %; \
		/eval /def $[second_arg]_trig %; \
;	/elseif ( spellup_skip_type =/ current_spell_type ) \
;		/eval /unset need_$[second_arg] %; \
;		/eval /def $[second_arg]_trig %; \
	/elseif /test first_arg=~"skill" %; \
		/then /def -F -t"Skill   : %{-5} *" $[second_arg]_trig = /unset need_$[second_arg] %; \
	/else /def -F -t"Spell   : %{-5} *" $[second_arg]_trig = \
	/unset need_$[second_arg] %; \
	/endif

;;;
;;; Cast Others Macros
;;;

/def others_arg = \
	/eval /set current_spell_type=%{5} %; \
	/if /test need_%{2} %; \
		/then /if /test {1}=~"others" %; \
			/then /if ( spellup_type =/ current_spell_type ) %; \
				/eval /cast_%{2} %spellup_recipient %; \
			/endif %; \
		/endif %; \
	/endif %; \

/def undef_others_arg = /unset need_%{2}

;;;
;;; "Bad" trigger macros
;;; First arg is shortname
;;; Second arg is type of fix (disr, herbal, etc)
;;; Third arg is spell_number for disr
;;;

/def bad_check_disr_arg = \
	/eval /set first_bad_arg=%{1} %; \
	/eval /set second_bad_arg=%{2} %; \
	/eval /set third_bad_arg=%{3} %; \
	/eval /set full_bad_name=%{-3} %; \
	/def -F -t"{Spell|Skill}   : %{-3} (*)" $[first_bad_arg]_trig = \
	/eval /do_bad_fix $[first_bad_arg] $[second_bad_arg] $[third_bad_arg]

/def do_bad_fix = \
	/if /test {2} =~ "herbal" %; \
		/then /if (has_herbal) herbal %; /endif %; \
	/elseif /test {2} =~ "disr" %; \
		/then /if (have_disrupt) /eval c disr %%{3} %; /endif %; \
	/elseif /test {2} =~ "poisoned" %; \
		/then /if (has_cell_adjust) c "103" %; \
		/elseif (has_cure_poison) c 27 %; \
		/elseif (has_create_poultice) c '417' %; quaff poultice %; /endif %; \
	/elseif /test {2} =~ "diseased" %; \
		/then /if (has_cure_disease) c 25 %; \
		/elseif (has_poultice) poultice %; \
		/elseif (has_create_poultice) c '417' %; quaff poultice %; \
		/elseif (has_plaguebane) c '340' %; /endif %; \
	/else /eval c %%{2} %; \
	/endif

;;;
;;; untrig macro
;;;

/def undef_arg = /undef %{2}_trig %; /unset need_%{2} %; /unset need_disr_%{2}
/def undef_bad_arg = /undef %{1}_trig

;;;
;;; macro to unset the ignored spells
;;;

/def ignore_spell_arg = /unset need_%{1} %; /unset need_disr_%{1}

;;;
;;; Defines the cast command sent to the MUD for each spell.
;;;

/def do_cast_arg = \
	/if ({1}=~"skill") \
		/eval /def cast_%%{2} = %%{3} %; \
	/else \
		/eval /def cast_%%{2} = c %%{3} %%{4} %; \
	/endif

/quote -S -dexec /do_cast_arg '"spellup/list_spell.tf"

;;; Protection Good/Evil listed separately because of special case
/def cast_prot_ev = c 67 %1
/def cast_prot_go = c 68 %1
;;; Globe/Antimagic listed separately because of special case
/def cast_globe = c 174 %1
/def cast_antimagic = c 167 %1
;;; Ranger Totems listed separately because of special case
/def cast_tot_guid = c 511 %1
/def cast_tot_forc = c 512 %1

;;;
;;; Defines the disrupt command sent to the MUD for each spell
;;;

/def do_disr_arg = /eval /def disr_%%{2} = c disr %%{3}

/quote -S -dexec /do_disr_arg '"spellup/list_spell.tf"

;;; Protection Good/Evil listed separately because of special case
/def disr_prot_ev = c disr 67
/def disr_prot_go = c disr 68
;;; Globe/Antimagic listed separately because of special case
/def disr_globe = c disr 174
/def disr_antimagic = c disr 167
;;; Ranger Totems NOT separately because no sense disrupting

