/if (is_cleric=~"Y") /load -q spellup/list_cleric.tf %; /endif
/if (is_mage=~"Y") /load -q spellup/list_mage.tf %; /endif
/if (is_thief=~"Y") /load -q spellup/list_thief.tf %; /endif
/if (is_ranger=~"Y") /load -q spellup/list_ranger.tf %; /endif
/if (is_paladin=~"Y") /load -q spellup/list_paladin.tf %; /endif
/if (is_psi=~"Y") /load -q spellup/list_psi.tf %; /endif
/if (is_warrior=~"Y") /load -q spellup/list_warrior.tf %; /endif
/if (my_clan_skill!~"None") /set need_my_clanskill=1 %; /endif

;;;
;;; Load spells to ignore
;;; 

/quote -S -dexec /ignore_spell_arg '"spellup/ignore_spells.tf"

/set long_spells=0

;;; Special case checks for racial abilities and Aard EQ.
/if (has_gills_wish=~"Y") /unset need_under %; /endif
/if (has_hunger_wish=~"Y") /unset need_sust %; /endif
/if ((natural_fly=~"Y")|(has_aard_wings=~"Y")) /unset need_fly %; /unset need_levitat %; /endif

;;; Stealths
/if ((natural_invis=~"Y")|(has_aard_ring=~"Y")|(so_wraith_invis)) /unset need_invis %; /endif
/if (natural_hide=~"Y") /unset need_hide %; /unset need_chamel %; /endif
/if (natural_sneak=~"Y") /unset need_pass_trace %; /unset need_shadow_form %; \
/endif
/if (so_wraith_sneak) /unset need_pass_trace %; /unset need_sneak %; /unset need_shadow_form %; \
/endif
/if (natural_shadow_form=~"Y") /unset need_pass_trace %; /unset need_sneak %; \
/endif

;;; Special tricks for quickling to double-up on haste/accel dex mods
/if (natural_haste=~"Y") /def cast_haste = c 53 %1 %; slow %; /endif
/if (natural_haste!~"Y") \
	/if ((need_haste)&(need_acceler)) /unset need_haste %; /endif%; \
/endif

/if ((natural_pass_door=~"Y")|(has_pass_wish=~"Y")) /unset need_pass_door %; /unset need_ectoplas %; /endif
/if ((so_wraith_pass)|(need_ectoplas)) /unset need_pass_door %; /endif
/if (so_wraith_pass) /unset need_ectoplas %; /endif

/if (so_wraith_fly) /unset need_fly %; /unset need_levitat %; /endif

;;; Resists
;;; Doesn't do anything...I don't think there's a spell to skip.
/if (natural_resist_magic=~"Y") /unset need_resist_magic %; /endif
/if (natural_resist_cold=~"Y") /unset need_warm %; /endif
/if (natural_resist_fire=~"Y") /unset need_prot_fire %; /endif
/if (natural_resist_poison=~"Y") /unset need_toxic_resist %; /endif
/if (natural_resist_disease=~"Y") /unset need_resist_disease %; /endif

;;; Detects
/if ((has_aard_helm=~"Y")|(so_wraith_true)) /unset need_true %; /endif
/if ((has_aard_helm=~"Y")|(so_true)|(so_wraith_true)) /unset need_det_invis %; \
	/unset need_det_hidden %; /unset need_det_evil %; \
	/unset need_det_good %; /unset need_det_magic %; /unset need_height %; \
/endif
/if ((natural_infra=~"Y")|(so_wraith_infra)|(has_infra_wish=~"Y")) /unset need_infra %; /endif
/if (natural_det_hidden=~"Y") /unset need_det_hidden %; /endif
/if (natural_det_invis=~"Y") /unset need_det_invis %; /endif
/if (natural_det_good=~"Y") /unset need_det_good %; /endif
/if (natural_det_evil=~"Y") /unset need_det_evil %; /endif
/if (natural_det_magic=~"Y") /unset need_det_magic %; /endif
;;; slightly different from infra, in that you get infra as well as 
;;; no longer needing to carry a light to see things in the same room.
/if (natural_dark_vision=~"Y") /unset need_infra %; /endif

/if (is_grouped) \
	/if (need_party_sanc) /unset need_sanc %; /endif %; \
	/if (has_party_harm) /unset need_self_harmony %; /endif %; \
/else /unset need_party_sanc %; /unset need_party_harm %; \
/endif

/if ((has_aard_aura=~"Y")|(so_wraith_sanc)) /unset need_sanc %; \
	/unset need_biofeed %; \
/endif
/unset need_share_strength
/unset need_share_wisdom
/unset need_share_intel

/if (effective_level>200) /unset need_sust %; /endif

;;; Redundant spells
/if ((need_sanc)&(need_biofeed)) /unset need_sanc %; /endif
/if ((need_levitat)&(need_fly)) /unset need_fly %; /endif
/if ((need_det_hidden)&(need_height)) /unset need_det_hidden %; /endif
/if ((need_det_invis)&(need_height)) /unset need_det_invis %; /endif
/if ((need_infra)&(need_height)) /unset need_infra %; /endif
/if ((need_frenzy)&(need_berserk)) /unset need_frenzy %; /endif
/if ((need_pass_trace)&((need_sneak)|(need_shadow_form))) /unset need_pass_trace %; /endif
/if ((need_sneak)&((need_shadow_form))) /unset need_sneak %; /endif

;;; Defining trigger to know when saff is finished and deciding whether to
;;; run the disrupts or just the casts.

/def -F -t"You are affected by [0-9] skill* and *[0-9] spell*." spell_check_stop = \
	/if (report_length=~"Full") \
		/eval /echo The following will be cast: $(/listvar -s need*) %; \
	/endif %; \
	/spell_report %; \
	/if (have_disrupt) \
		/load -q spellup/disrupt.tf %; \
	/else /load -q spellup/redo-all.tf %; \
	/load -q spellup/untrigspell.tf %; \
	/endif
/def -F -t"You are not affected by any skills or spells." spell_check1_stop = \
	/if (report_length=~"Full") \
		/echo You're getting 'em ALL, baby! %; \
	/endif %; \
	/load -q spellup/redo-all.tf %; /load -q spellup/untrigspell.tf


;;;
;;; Load triggers for bad spells
;;;

/quote -S -dexec /bad_check_disr_arg '"spellup/badspells.tf"

;;;
;;; load trigger (1) for clanskill
;;;

/eval /def -F -t"Skill   : %{my_clan_skill} (*)" clanskill_trig = /unset need_my_clanskill

;;;
;;; Deciding whether to look for existence of spells, or look at length of them
;;;

/if (have_disrupt) /load -q spellup/check_disrupt.tf %; /exit %; /endif

/quote -S -dexec /check_cast_arg '"spellup/list_spell.tf"

;;; Protection evil/good is a special case because of the XOR nature

/def -mregexp -F -t"Spell   : Protection (evil|good) [(][0-9:]+[)]" prot_align_trig = /unset need_prot_align

;;; Globe and Antimagic special case because of the XOR nature

/def -mregexp -F -t"Spell   : (globe of invulnerability|Antimagic shell) [(][0-9:]+[)]" resist_trig = /unset need_resist_type
